{
  "id": "f319abdf711953b5d29d9e80",
  "source": "http",
  "type": "go-type",
  "title": "http.type HandlerFunc ¶",
  "content": "# type http.type HandlerFunc ¶\n\n```\ntype HandlerFunc func(ResponseWriter, *Request)\n```\n\nThe HandlerFunc type is an adapter to allow the use of\nordinary functions as HTTP handlers. If f is a function\nwith the appropriate signature, HandlerFunc(f) is a\nHandler that calls f.",
  "url": "https://pkg.go.dev/http#type HandlerFunc ¶",
  "metadata": {
    "fields": "null",
    "import_path": "Standard library/net/http",
    "kind": "type",
    "method_count": 0,
    "package": "http",
    "symbol": "type HandlerFunc ¶",
    "type_kind": "alias",
    "underlying": "type HandlerFunc func(ResponseWriter, *Request)"
  },
  "hash": "635c5ee91697ca7a84a6093622ca0007aa90731b717c19ac91c705e2ee525f6b",
  "timestamp": "2026-02-19T12:17:17.237641217+01:00"
}